For the complete documentation index, see llms.txt. This page is also available as Markdown.

Profile

get

Retrieve User Profile Edit.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/profile/
GET /api/v1/dashboard/profile/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "full_name": "text",
    "email": "name@gmail.com",
    "mobile": "text",
    "gender": "Male",
    "dob": "2026-01-01"
  }
}
delete

Delete User Profile Edit.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
delete/api/v1/dashboard/profile/
DELETE /api/v1/dashboard/profile/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "full_name": "text",
    "email": "name@gmail.com",
    "mobile": "text",
    "gender": "Male",
    "dob": "2026-01-01"
  }
}
patch

Partially update User Profile Edit.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
patch/api/v1/dashboard/profile/
PATCH /api/v1/dashboard/profile/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "full_name": "text",
    "email": "name@gmail.com",
    "mobile": "text",
    "gender": "Male",
    "dob": "2026-01-01"
  }
}
get

Retrieve Badges.

Authorizations
sessionidstringOptional
Path parameters
muidstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/profile/badges/{muid}
GET /api/v1/dashboard/profile/badges/{muid} HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "full_name": "text",
    "completed_tasks": [
      "text"
    ]
  }
}
post

Create Reset Password.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200

Success

No content

post/api/v1/dashboard/profile/change-password/
POST /api/v1/dashboard/profile/change-password/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

Success

No content

get

Retrieve User Profile Cover.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/profile/cover-pic/
GET /api/v1/dashboard/profile/cover-pic/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "joined": "2026-01-01T00:00:00.000Z",
    "full_name": "text",
    "gender": "Male",
    "muid": "text",
    "roles": "text",
    "role_verification": "text",
    "lead_enabler_verified": "text",
    "college_id": "text",
    "college_code": "text",
    "org_district_id": "text",
    "karma": 1,
    "rank": "text",
    "karma_distribution": "text",
    "level": "text",
    "profile_pic": "text",
    "cover_pic": "text",
    "interest_groups": "text",
    "is_public": true,
    "percentile": "text"
  }
}
post

Create User Profile Cover.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/dashboard/profile/cover-pic/
POST /api/v1/dashboard/profile/cover-pic/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "joined": "2026-01-01T00:00:00.000Z",
    "full_name": "text",
    "gender": "Male",
    "muid": "text",
    "roles": "text",
    "role_verification": "text",
    "lead_enabler_verified": "text",
    "college_id": "text",
    "college_code": "text",
    "org_district_id": "text",
    "karma": 1,
    "rank": "text",
    "karma_distribution": "text",
    "level": "text",
    "profile_pic": "text",
    "cover_pic": "text",
    "interest_groups": "text",
    "is_public": true,
    "percentile": "text"
  }
}
delete

Delete User Profile Cover.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
delete/api/v1/dashboard/profile/cover-pic/
DELETE /api/v1/dashboard/profile/cover-pic/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "joined": "2026-01-01T00:00:00.000Z",
    "full_name": "text",
    "gender": "Male",
    "muid": "text",
    "roles": "text",
    "role_verification": "text",
    "lead_enabler_verified": "text",
    "college_id": "text",
    "college_code": "text",
    "org_district_id": "text",
    "karma": 1,
    "rank": "text",
    "karma_distribution": "text",
    "level": "text",
    "profile_pic": "text",
    "cover_pic": "text",
    "interest_groups": "text",
    "is_public": true,
    "percentile": "text"
  }
}
get

Retrieve User Levels.

Authorizations
sessionidstringOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/profile/get-user-levels/
GET /api/v1/dashboard/profile/get-user-levels/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "name": "text",
    "tasks": "text",
    "karma": 1
  }
}
get

Retrieve User Levels.

Authorizations
sessionidstringOptional
Path parameters
muidstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/profile/get-user-levels/{muid}/
GET /api/v1/dashboard/profile/get-user-levels/{muid}/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "name": "text",
    "tasks": "text",
    "karma": 1
  }
}
get

Retrieve User Ig Edit.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/profile/ig-edit/
GET /api/v1/dashboard/profile/ig-edit/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "name": "text"
  }
}
patch

Partially update User Ig Edit.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
patch/api/v1/dashboard/profile/ig-edit/
PATCH /api/v1/dashboard/profile/ig-edit/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {}
}
get

Retrieve Karma Feed.

Authorizations
sessionidstringOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/profile/karma-feed/
GET /api/v1/dashboard/profile/karma-feed/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "top_user": {
      "karma": 1,
      "full_name": "text",
      "muid": "text"
    },
    "top_college": {
      "karma": 1,
      "name": "text"
    }
  }
}
get

Retrieve User Permute.

Authorizations
sessionidstringOptional
Path parameters
muidstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/profile/permute/{muid}/
GET /api/v1/dashboard/profile/permute/{muid}/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "full_name": "text",
    "user_domains": "text",
    "college_name": "text"
  }
}
get

Retrieve Qrcode Retrieve.

Authorizations
sessionidstringOptional
Path parameters
uuidstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/profile/qrcode-get/{uuid}/
GET /api/v1/dashboard/profile/qrcode-get/{uuid}/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "profile_pic": "text"
  }
}
get

Retrieve User Rank.

Authorizations
sessionidstringOptional
Path parameters
muidstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/profile/rank/{muid}/
GET /api/v1/dashboard/profile/rank/{muid}/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "full_name": "text",
    "role": "text",
    "rank": "text",
    "karma": "text",
    "interest_groups": "text"
  }
}
get

Retrieve Share User Profile.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/profile/share-user-profile/
GET /api/v1/dashboard/profile/share-user-profile/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "is_public": true,
    "updated_by": "text",
    "updated_at": "text"
  }
}
put

Update Share User Profile.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
put/api/v1/dashboard/profile/share-user-profile/
PUT /api/v1/dashboard/profile/share-user-profile/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "is_public": true,
    "updated_by": "text",
    "updated_at": "text"
  }
}
get

Retrieve Share User Profile.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
uuidstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/profile/share-user-profile/{uuid}/
GET /api/v1/dashboard/profile/share-user-profile/{uuid}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "is_public": true,
    "updated_by": "text",
    "updated_at": "text"
  }
}
put

Update Share User Profile.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
uuidstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
put/api/v1/dashboard/profile/share-user-profile/{uuid}/
PUT /api/v1/dashboard/profile/share-user-profile/{uuid}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "is_public": true,
    "updated_by": "text",
    "updated_at": "text"
  }
}
get

Retrieve Get Socials.

Authorizations
sessionidstringOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/profile/socials/
GET /api/v1/dashboard/profile/socials/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "github": "text",
    "facebook": "text",
    "instagram": "text",
    "linkedin": "text",
    "dribble": "text",
    "behance": "text",
    "stackoverflow": "text",
    "medium": "text",
    "hackerrank": "text"
  }
}
get

Retrieve Get Socials.

Authorizations
sessionidstringOptional
Path parameters
muidstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/profile/socials/{muid}/
GET /api/v1/dashboard/profile/socials/{muid}/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "github": "text",
    "facebook": "text",
    "instagram": "text",
    "linkedin": "text",
    "dribble": "text",
    "behance": "text",
    "stackoverflow": "text",
    "medium": "text",
    "hackerrank": "text"
  }
}
put

Update Socials.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200

Success

No content

put/api/v1/dashboard/profile/socials/edit/
PUT /api/v1/dashboard/profile/socials/edit/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

Success

No content

get

Retrieve User Level Feed.

Authorizations
sessionidstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/profile/user-level-feed/
GET /api/v1/dashboard/profile/user-level-feed/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "name": "text",
    "tasks": "text",
    "karma": 1
  }
}
get

Retrieve User Log.

Authorizations
sessionidstringOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/profile/user-log/
GET /api/v1/dashboard/profile/user-log/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "task_name": "text",
    "karma": 1,
    "created_date": "text"
  }
}
get

Retrieve User Log.

Authorizations
sessionidstringOptional
Path parameters
muidstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/profile/user-log/{muid}/
GET /api/v1/dashboard/profile/user-log/{muid}/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "task_name": "text",
    "karma": 1,
    "created_date": "text"
  }
}
get

Retrieve User Preferences.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/profile/user-preferences/
GET /api/v1/dashboard/profile/user-preferences/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "domains": [
      "text"
    ],
    "endgoals": [
      "text"
    ],
    "orgs": [
      {
        "id": "text",
        "name": "text"
      }
    ]
  }
}
patch

Partially update User Preferences.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200

Success

No content

patch/api/v1/dashboard/profile/user-preferences/
PATCH /api/v1/dashboard/profile/user-preferences/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

Success

No content

get

Retrieve User Profile.

Authorizations
sessionidstringOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/profile/user-profile/
GET /api/v1/dashboard/profile/user-profile/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "joined": "2026-01-01T00:00:00.000Z",
    "full_name": "text",
    "gender": "Male",
    "muid": "text",
    "roles": "text",
    "role_verification": "text",
    "lead_enabler_verified": "text",
    "college_id": "text",
    "college_code": "text",
    "org_district_id": "text",
    "karma": 1,
    "rank": "text",
    "karma_distribution": "text",
    "level": "text",
    "profile_pic": "text",
    "cover_pic": "text",
    "interest_groups": "text",
    "is_public": true,
    "percentile": "text"
  }
}
get

Retrieve User Profile.

Authorizations
sessionidstringOptional
Path parameters
muidstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/profile/user-profile/{muid}/
GET /api/v1/dashboard/profile/user-profile/{muid}/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "joined": "2026-01-01T00:00:00.000Z",
    "full_name": "text",
    "gender": "Male",
    "muid": "text",
    "roles": "text",
    "role_verification": "text",
    "lead_enabler_verified": "text",
    "college_id": "text",
    "college_code": "text",
    "org_district_id": "text",
    "karma": 1,
    "rank": "text",
    "karma_distribution": "text",
    "level": "text",
    "profile_pic": "text",
    "cover_pic": "text",
    "interest_groups": "text",
    "is_public": true,
    "percentile": "text"
  }
}
get

Retrieve Userterm.

Authorizations
sessionidstringOptional
Path parameters
muidstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/profile/userterm-approved/{muid}/
GET /api/v1/dashboard/profile/userterm-approved/{muid}/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "is_userterms_approved": true,
    "user": "text"
  }
}
post

Create Userterm.

Authorizations
sessionidstringOptional
Path parameters
muidstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/dashboard/profile/userterm-approved/{muid}/
POST /api/v1/dashboard/profile/userterm-approved/{muid}/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "is_userterms_approved": true,
    "user": "text"
  }
}

Last updated

Was this helpful?